Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.passivetrc
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.passivetrc	(revision 908)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.passivetrc	(revision 949)
@@ -1,4 +1,4 @@
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-! OPA MODEL general namelist for passive tracers 
+! OPA MODEL general namelist for passive tracers
 ! -------------
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -12,37 +12,22 @@
 !       lrsttr    boolean term for tracer model restart (true or false)
 !       nrsttr    control of the time step for tracer model restart (0, 1 or 2)
-!       ctrcnm    tracer name 
-!       ctrcun    tracer unit
-!       lutini    logical to read initial value from file or not
-!
+!       tracer type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+!                 *  logical to read initial value from file or not
+!                 *  multiplicative coefficient
+!                 *  logical to save value  
+! 
 &nattrc
-   nwritetrc =  360,
-   lrsttr    = .false.
-   nrsttr    =  0,
-!   ijulian   = 010101,
-   ctrcnm(1) = 'DET',
-   ctrcnl(1) = 'Detritus',
-   ctrcun(1) = 'mmole-N/m3',
-   lutini(1) = .true.,
-   ctrcnm(2) = 'ZOO',
-   ctrcnl(2) = 'Zooplankton concentration',
-   ctrcun(2) = 'mmole-N/m3',
-   lutini(2) = .true.,
-   ctrcnm(3) = 'PHY',
-   ctrcnl(3) = 'Phytoplankton concentration',
-   ctrcun(3) = 'mmole-N/m3',
-   lutini(3) = .true.,
-   ctrcnm(4) = 'NO3',
-   ctrcnl(4) = 'Nitrate concentration',
-   ctrcun(4) = 'mmole-N/m3',
-   lutini(4) = .true.,
-   ctrcnm(5) = 'NH4',
-   ctrcnl(5) = 'Ammonium concentration',
-   ctrcun(5) = 'mmole-N/m3',
-   lutini(5) = .true.,
-   ctrcnm(6) = 'DOM',
-   ctrcnl(6) = 'Dissolved organic matter',
-   ctrcun(6) = 'mmole-N/m3',
-   lutini(6) = .true.,
+   nwritetrc   = 360 
+   lrsttr      = .false.
+   nrsttr      = 0
+   tracer(1)   = 'DET' , 'Detritus                   ',  'mmole-N/m3' ,  .true. ,  .true.
+   tracer(2)   = 'ZOO' , 'Zooplankton concentration  ',  'mmole-N/m3' ,  .true. ,  .true.
+   tracer(3)   = 'PHY' , 'Phytoplankton concentration',  'mmole-N/m3' ,  .true. ,  .true.
+   tracer(4)   = 'NO3' , 'Nitrate concentration      ',  'mmole-N/m3' ,  .true. ,  .true.
+   tracer(5)   = 'NH4' , 'Ammonium concentration     ',  'mmole-N/m3' ,  .true. ,  .true.
+   tracer(6)   = 'DOM' , 'Dissolved organic matter   ',  'mmole-N/m3' ,  .true. ,  .true.
 /
 !-----------------------------------------------------------------------
@@ -53,91 +38,46 @@
 !               one value per tracer
 &natrtd
-   nwritetrd =  360,
-   luttrd(1) = .false.,
-   luttrd(2) = .false.,
-   luttrd(3) = .false.,
-   luttrd(4) = .false.,
-   luttrd(5) = .false.,
-   luttrd(6) = .false.,
+   nwritetrd  = 360
+   luttrd(1)  = .false.
+   luttrd(2)  = .false.
+   luttrd(3)  = .false.
+   luttrd(4)  = .false.
+   luttrd(5)  = .false.
+   luttrd(6)  = .false.
 /
 !-----------------------------------------------------------------------
-!       natadd   2/3 D diagnostics (#ifdef key_trc_diaadd)
+!       natdia  additional 2D/3D  (#ifdef key_trc_diaadd)
 !-----------------------------------------------------------------------
-!  nwriteadd : time step frequency for additional arrays outputs
-!  ctrc3d short title (max 8 characters) for 3d output arrays
-!  ctrc3l long title (max 80 characters) for 3d output arrays
-!  ctrc3u units 
-!  ctrc2d short title (max 8 characters) for 2d output arrays
-!  ctrc2l long title (max 80 characters) for 2d output arrays
-!  ctrc2u units 
-!
-&natadd
-   nwriteadd  =  360,
-   ctrc3d(1)  = 'FNO3PHY',
-   ctrc3l(1)  = 'FNO3PHY',
-   ctrc3u(1)  = '-',
-   ctrc3d(2)  = 'FNH4PHY',
-   ctrc3l(2)  = 'FNH4PHY',
-   ctrc3u(2)  = '-',
-   ctrc3d(3)  = 'FNH4NO3',
-   ctrc3l(3)  = 'FNH4NO3',
-   ctrc3u(3)  = '-',
-   ctrc2d(1)  = 'TNO3PHY'   
-   ctrc2l(1)  = 'TNO3PHY'   
-   ctrc2u(1)  = '-'            
-   ctrc2d(2)  = 'TNH4PHY'
-   ctrc2l(2)  = 'TNH4PHY'
-   ctrc2u(2)  = '-'
-   ctrc2d(3)  = 'TPHYDOM'
-   ctrc2l(3)  = 'TPHYDOM'
-   ctrc2u(3)  = '-'
-   ctrc2d(4)  = 'TPHYNH4'
-   ctrc2l(4)  = 'TPHYNH4'
-   ctrc2u(4)  = '-'
-   ctrc2d(5)  = 'TPHYZOO'
-   ctrc2l(5)  = 'TPHYZOO'
-   ctrc2u(5)  = '-'
-   ctrc2d(6)  = 'TPHYDET'
-   ctrc2l(6)  = 'TPHYDET'
-   ctrc2u(6)  = '-'
-   ctrc2d(7)  = 'TDETZOO'
-   ctrc2l(7)  = 'TDETZOO'
-   ctrc2u(7)  = '-'
-   ctrc2d(8)  = 'TDETSED'	 
-   ctrc2l(8)  = 'TDETSED'	 
-   ctrc2u(8)  = '-'	 
-   ctrc2d(9)  = 'TZOODET'
-   ctrc2l(9)  = 'TZOODET'
-   ctrc2u(9)  = '-'
-   ctrc2d(10) = 'TZOOBOD'
-   ctrc2l(10) = 'TZOOBOD'
-   ctrc2u(10) = '-'
-   ctrc2d(11) = 'TZOONH4'
-   ctrc2l(11) = 'TZOONH4'
-   ctrc2u(11) = '-'
-   ctrc2d(12) = 'TZOODOM'
-   ctrc2l(12) = 'TZOODOM'
-   ctrc2u(12) = '-'
-   ctrc2d(13) = 'TNH4NO3'
-   ctrc2l(13) = 'TNH4NO3'
-   ctrc2u(13) = '-'
-   ctrc2d(14) = 'TDOMNH4'
-   ctrc2l(14) = 'TDOMNH4'
-   ctrc2u(14) = '-'
-   ctrc2d(15) = 'TDETNH4'
-   ctrc2l(15) = 'TDETNH4'
-   ctrc2u(15) = '-'
-   ctrc2d(16) = 'TPHYTOT'
-   ctrc2l(16) = 'TPHYTOT'
-   ctrc2u(16) = '-'   
-   ctrc2d(17) = 'TZOOTOT'
-   ctrc2l(17) = 'TZOOTOT'
-   ctrc2u(17) = '-'
-   ctrc2d(18) = 'TDETDOM'
-   ctrc2l(18) = 'TDETDOM'
-   ctrc2u(18) = '-'
-   ctrc2d(19) = 'SEDPOC'
-   ctrc2l(19) = 'SEDPOC'
-   ctrc2u(19) = '-'
+!  nwritedia : time step frequency for additional arrays outputs
+!  2D/3D diagnostic type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+!                 *  logical to save value or not 
+! 
+&natdia
+   nwritedia   = 360
+   diag2d(1)   = 'TNO3PHY' , 'TNO3PHY',  '-'
+   diag2d(2)   = 'TNH4PHY' , 'TNH4PHY',  '-'
+   diag2d(3)   = 'TPHYDOM' , 'TPHYDOM',  '-'
+   diag2d(4)   = 'TPHYNH4' , 'TPHYNH4',  '-'
+   diag2d(5)   = 'TPHYZOO' , 'TPHYZOO',  '-'
+   diag2d(6)   = 'TPHYDET' , 'TPHYDET',  '-'
+   diag2d(7)   = 'TDETZOO' , 'TDETZOO',  '-'
+   diag2d(8)   = 'TDETSED' , 'TDETSED',  '-'
+   diag2d(9)   = 'TZOODET' , 'TZOODET',  '-'
+   diag2d(10)  = 'TZOOBOD' , 'TZOOBOD',  '-'
+   diag2d(11)  = 'TZOONH4' , 'TZOONH4',  '-'
+   diag2d(12)  = 'TZOODOM' , 'TZOODOM',  '-'
+   diag2d(13)  = 'TNH4NO3' , 'TNH4NO3',  '-'
+   diag2d(14)  = 'TDOMNH4' , 'TDOMNH4',  '-'
+   diag2d(15)  = 'TDETNH4' , 'TDETNH4',  '-'
+   diag2d(16)  = 'TPHYTOT' , 'TPHYTOT',  '-'
+   diag2d(17)  = 'TZOOTOT' , 'TZOOTOT',  '-'
+   diag2d(18)  = 'TDETDOM' , 'TDETDOM',  '-'
+   diag2d(19)  = 'SEDPOC ' , 'SEDPOC ',  '-'
+   diag3d(1)   = 'FNO3PHY' , 'FNO3PHY',  '-'
+   diag3d(2)   = 'FNH4PHY' , 'FNH4PHY',  '-'
+   diag3d(3)   = 'FNH4NO3' , 'FNH4NO3',  '-'
 /
 !-----------------------------------------------------------------------
@@ -151,9 +91,9 @@
 !  crosster logical if true computes Smolar crossterms
 &natnum
-   ndttrc   = 1,
-   rsc      = 1.,
-   rtrn     = 1.e-15,
-   ncortrc  = 0,
-   crosster =.false.,
+   ndttrc   = 1
+   rsc      = 1.
+   rtrn     = 1.e-15
+   ncortrc  = 1
+   crosster = .false.
 /
 !-----------------------------------------------------------------------
@@ -168,11 +108,21 @@
    ln_trcadv_cen2   =  .false.
    ln_trcadv_tvd    =  .true.
-   ln_trcadv_muscl  =  .false. 
+   ln_trcadv_muscl  =  .false.
    ln_trcadv_muscl2 =  .false.
    ln_trcadv_smolar =  .false.
+/
+!
+!-----------------------------------------------------------------------
+!       namtrcbbl   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!  atrcbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
+&namtrcbbl
+   atrcbbl = 1000.
 /
 !-----------------------------------------------------------------------
 !       namtrcldf   lateral diffusion scheme for tracer (option not control by CPP keys)
 !-----------------------------------------------------------------------
+!  Flag to performs lateral diffusion or not :
+!     ln_trcldf_diff
 !  Type of the operator : 
 !     ln_trcldf_lap    laplacian operator          (default T)
@@ -197,5 +147,5 @@
    ahtrb0           =  0. 
    trcrat           =  1.
-   ahtrc0           =  300.  
+   ahtrc0           =  300.
    aeivtr0          =  1000.
 /
@@ -233,3 +183,2 @@
    hdmptr   = 800.
 /
-