Index: /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domain.F90
===================================================================
--- /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domain.F90	(revision 949)
+++ /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domain.F90	(revision 950)
@@ -17,5 +17,4 @@
    USE daymod          ! calendar
    USE lib_mpp         ! distributed memory computing library
-   USE flxrnf          ! runoffs
 
    USE domstp          ! domain: set the time-step
@@ -111,5 +110,5 @@
       NAMELIST/nam_run/ no    , cexper   , ln_rstart , nrstdt , nit000,          &
          &             nitend, ndate0   , nleapy   , ninist , nstock,           &
-         &             nprint, nwrite   , nrunoff  , ln_ctl , nictls, nictle,   &
+         &             nprint, nwrite   , ln_ctl , nictls, nictle,   &
          &             njctls, njctle   , nbench   , isplt  , jsplt
 
@@ -147,5 +146,4 @@
          WRITE(numout,*) '           frequency of restart file       nstock    = ', nstock
          WRITE(numout,*) '           frequency of output file        nwrite    = ', nwrite
-         WRITE(numout,*) '           runoff option                   nrunoff   = ', nrunoff
          WRITE(numout,*) '           run control (for debugging)     ln_ctl    = ', ln_ctl
          WRITE(numout,*) '           Start i indice for SUM control  nictls    = ', nictls
Index: /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domrea.F90
===================================================================
--- /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domrea.F90	(revision 949)
+++ /branches/dev_001_GM/NEMO/OFF_SRC/DOM/domrea.F90	(revision 950)
@@ -93,7 +93,4 @@
       REAL(wp), DIMENSION(jpi,jpj) :: &
          zprt = 0.
-
-      REAL(wp), DIMENSION(1,1,jpk) :: &
-         zt1d
 #if ! defined key_zco
       INTEGER :: ik
@@ -150,5 +147,5 @@
          CALL iom_get( inum2, jpdom_data, 'fmask', fmask )
 
-#if defined key_cfg_1d
+#if defined key_c1d
          ! set umask and vmask equal tmask in 1D configuration
          IF(lwp) WRITE(numout,*)
@@ -191,12 +188,8 @@
          ! Vertical coordinates and scales factors
          !
-         CALL iom_get( inum4, jpdom_unknown, 'gdept_0', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) ) ! depth
-         gdept_0(:) = zt1d(1,1,:) 
-         CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-         gdepw_0(:) = zt1d(1,1,:) 
-         CALL iom_get( inum4, jpdom_unknown, 'e3t_0', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-         e3t_0(:) = zt1d(1,1,:) 
-         CALL iom_get( inum4, jpdom_unknown, 'e3w_0', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-         e3w_0(:) = zt1d(1,1,:) 
+         CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 ) ! depth
+         CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
+         CALL iom_get( inum4, jpdom_unknown, 'e3t_0'  , e3t_0   )
+         CALL iom_get( inum4, jpdom_unknown, 'e3w_0'  , e3w_0   )
 
 #if ! defined key_zco
@@ -219,14 +212,9 @@
             CALL iom_get( inum4, jpdom_data, 'hbatf', hbatf )
             
-            CALL iom_get( inum4, jpdom_unknown, 'gsigt', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) ) ! scaling coef.
-            gsigt(:) = zt1d(1,1,:) 
-            CALL iom_get( inum4, jpdom_unknown, 'gsigw', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-            gsigw(:) = zt1d(1,1,:) 
-            CALL iom_get( inum4, jpdom_unknown, 'gsi3w', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) ) 
-            gsi3w(:) = zt1d(1,1,:) 
-            CALL iom_get( inum4, jpdom_unknown, 'esigt', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-            esigt(:) = zt1d(1,1,:) 
-            CALL iom_get( inum4, jpdom_unknown, 'esigw', zt1d, kstart=(/1,1,1/), kcount=(/1,1,jpk/) )
-            esigw(:) = zt1d(1,1,:) 
+            CALL iom_get( inum4, jpdom_unknown, 'gsigt', gsigt ) ! scaling coef.
+            CALL iom_get( inum4, jpdom_unknown, 'gsigw', gsigw )
+            CALL iom_get( inum4, jpdom_unknown, 'gsi3w', gsi3w ) 
+            CALL iom_get( inum4, jpdom_unknown, 'esigt', esigt )
+            CALL iom_get( inum4, jpdom_unknown, 'esigw', esigw )
 
          ENDIF