Index: trunk/DOC/TexFiles/Namelist/nam_sbc_tot
===================================================================
--- trunk/DOC/BETA/Namelist/nam_sbc_tot	(revision 720)
+++ 	(revision )
@@ -1,42 +1,0 @@
-!-----------------------------------------------------------------------
-&namtau   !   surface wind stress
-!-----------------------------------------------------------------------
-   ntau000 =      0        !  gently increase the stress over the first ntau_rst time-steps
-   tau0x   =      0.e0     !  uniform value used as default surface heat flux
-   tau0y   =      0.e0     !  uniform value used as default solar radiation flux
-/
-!-----------------------------------------------------------------------
-&namflx   !   surface fluxes
-!-----------------------------------------------------------------------
-   q0      =      0.e0     !  uniform value used as default surface heat flux
-   qsr0    =      0.e0     !  uniform value used as default solar radiation flux
-   emp0    =      0.e0     !  uniform value used as default surface freswater budget (E-P)
-   dqdt0   =      -40.     !  feedback coefficient for SST damping (W/m2/K)
-   deds0   =        0.     !  feedback coefficient for SSS damping (mm/day)
-/
-!-----------------------------------------------------------------------
-&namqsr   !   penetrative solar radiation
-!-----------------------------------------------------------------------
-   ln_traqsr = .true.      !  penetrative solar radiation (T) or not (F)   
-   rabs     =   0.58       !  fraction of qsr associated with xsi1
-   xsi1     =   0.35       !  first depth of extinction
-   xsi2     =   23.0       !  second depth of extinction
-/
-!-----------------------------------------------------------------------
-&namfwb   !   freshwater budget correction
-!-----------------------------------------------------------------------
-   ln_fwb    = .true.      !  flag for freshwater budget correction (0 annual mean)
-/
-!-----------------------------------------------------------------------
-&namalb   !   albedo parameters
-!-----------------------------------------------------------------------
-   cgren    =      0.06    !  correction of the snow or ice albedo to take into account
-   albice   =      0.5     !  albedo of melting ice in the arctic and antarctic
-   alphd    =      0.80    !  coefficients for linear interpolation used to
-   alphc    =      0.65    !  compute albedo between two extremes values 
-   alphdi   =      0.72    !  (Pyane, 1972)
-/
-!-----------------------------------------------------------------------
-&namcpl   !   coupled ocean/atmosphere model   ("key_coupled")
-!-----------------------------------------------------------------------
-/
Index: trunk/DOC/TexFiles/Namelist/namalb
===================================================================
--- trunk/DOC/BETA/Namelist/namalb	(revision 720)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-&namalb   !   albedo parameters
-!-----------------------------------------------------------------------
-   cgren    =      0.06    !  correction of the snow or ice albedo 
-   albice   =      0.5     !  albedo of melting ice
-   alphd    =      0.80    !  coefficients for linear interpolation used to
-   alphc    =      0.65    !  compute albedo between two extremes values 
-   alphdi   =      0.72    !  (Pyane, 1972)
-/
Index: trunk/DOC/TexFiles/Namelist/namflx
===================================================================
--- trunk/DOC/BETA/Namelist/namflx	(revision 720)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-&namflx   !   surface fluxes
-!-----------------------------------------------------------------------
-   q0      =      0.e0     !  uniform value used as default surface heat flux
-   qsr0    =      0.e0     !  uniform value used as default solar radiation flux
-   emp0    =      0.e0     !  uniform value used as default surface freswater budget (E-P)
-   dqdt0   =      -40.     !  feedback coefficient for SST damping (W/m2/K)
-   deds0   =        0.     !  feedback coefficient for SSS damping (mm/day)
-/
Index: trunk/DOC/TexFiles/Namelist/namtau
===================================================================
--- trunk/DOC/BETA/Namelist/namtau	(revision 720)
+++ 	(revision )
@@ -1,7 +1,0 @@
-!-----------------------------------------------------------------------
-&namtau   !   surface wind stress
-!-----------------------------------------------------------------------
-   ntau000 =      0        !  gently increase the stress over the first ntau_rst time-steps
-   tau0x   =      0.e0     !  uniform value used as default surface heat flux
-   tau0y   =      0.e0     !  uniform value used as default solar radiation flux
-/
Index: trunk/DOC/TexFiles/Namelist/namsbc
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc	(revision 994)
@@ -0,0 +1,23 @@
+!-----------------------------------------------------------------------
+&namsbc       Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     = 5         ! frequency of surface boundary condition computation 
+                           ! (also the frequency of sea-ice model call)
+   ln_ana      = .false.   ! analytical formulation (fill namsbc_ana )
+   ln_flx      = .false.   ! flux       formulation (fill namsbc_flx ) 
+   ln_blk_clio = .true.    ! CLIO bulk  formulation (fill namsbc_core) 
+   ln_blk_core = .false.   ! CORE bulk  formulation (fill namsbc_clio)
+   ln_cpl      = .false.   ! coupled    formulation (fill namsbc_cpl ) 
+   nn_ice      = 2         ! ice areas : =0 no ice in the domain
+                           !             =1 specify observed ice-cover
+                           !             =2 use an ice-model            ("key_lim3" or "key_lim2)
+   nn_ico_cpl  = 0         ! ice-ocean stress : =0 LIM-3 old case 
+                           !                    =1 stresses computed using now ocean velocity
+                           !                    =2 combination of 0 and 1 cases
+   ln_dm2dc    = .false.   ! Daily mean converted into Diurnal Cycle for short wave (qsr)
+   ln_rnf      = .false.   ! river runoffs (fill namsbc_rnf)
+   ln_ssr      = .false.   ! Sea Surface Restoring on T and/or S (fill namsbc_ssr)
+   nn_fwb      = 0         ! FreshWater Budget : =0 no control                             
+                           !                     =1 annual global mean set to zero
+                           !                     =2 global mean instantaneously set to zero
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 994)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namalb                     albedo parameters
+!-----------------------------------------------------------------------
+   cgren    =      0.06    ! correction of the snow or ice albedo to take into account
+   albice   =      0.5     ! albedo of melting ice in the arctic and antarctic
+   alphd    =      0.80    ! coefficients for linear interpolation used to compute
+   alphc    =      0.65    ! the albedo between two extremes values (Pyane, 1972)
+   alphdi   =      0.72    ! 
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_ana
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 994)
@@ -0,0 +1,10 @@
+!-----------------------------------------------------------------------
+&namsbc_ana         analytical surface boundary condition
+!-----------------------------------------------------------------------
+   nn_tau000  =   0        ! gently increase the stress over the first ntau_rst time-steps
+   rn_utau0   =   0.5      ! uniform value for the i-stress
+   rn_vtau0   =   0.e0     ! uniform value for the j-stress
+   rn_q0      =   0.e0     ! uniform value for the total heat flux
+   rn_qsr0    =   0.e0     ! uniform value for the solar radiation
+   rn_emp0    =   0.e0     ! uniform value for the freswater budget (E-P)
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_clio
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 994)
@@ -0,0 +1,16 @@
+!-----------------------------------------------------------------------
+&namsbc_clio              CLIO bulk formulea
+!-----------------------------------------------------------------------
+   cn_dir       = './'     ! directory in which the model is executed
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !    (logical)       !  (0/1) !  record  !
+   sn_utau      =    'taux_1m'       ,      -12.         , 'sozotaux' ,     .false.        ,    1   ,    0    
+   sn_vtau      =    'tauy_1m'       ,      -12.         , 'sometauy' ,     .false.        ,    1   ,    0    
+   sn_wndm      =    'flx'           ,      -12.         , 'socliowi' ,     .false.        ,    1   ,    0      
+   sn_tair      =    'flx'           ,      -12.         , 'socliot1' ,     .false.        ,    1   ,    0     
+   sn_humi      =    'flx'           ,      -12.         , 'socliohu' ,     .false.        ,    1   ,    0    
+   sn_ccov      =    'flx'           ,      -12.         , 'socliocl' ,     .false.        ,    1   ,    0      
+   sn_prec      =    'flx'           ,      -12.         , 'socliopl' ,     .false.        ,    1   ,    0       
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_core
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 994)
@@ -0,0 +1,19 @@
+!-----------------------------------------------------------------------
+&namsbc_core               CORE bulk formulea
+!-----------------------------------------------------------------------
+   cn_dir       = './'     ! directory in which the model is executed
+   ln_2m        = .false.  ! logical flag to use air temp. and hum referenced at 2m instead 10m
+   alpha_precip = 1.       ! multiplication factor for precipitation (total & snow)
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !    (logical)       !  (0/1) !  record  !
+   sn_wndi      =    'u10'           ,       24.         , 'U_10_MOD' ,     .false.        ,    1   ,    0    
+   sn_wndj      =    'v10'           ,       24.         , 'V_10_MOD' ,     .false.        ,    1   ,    0    
+   sn_qsr       =    'rad'           ,       24.         , 'SWDN_MOD' ,     .false.        ,    1   ,    0      
+   sn_qlw       =    'rad'           ,       24.         , 'LWDN_MOD' ,     .false.        ,    1   ,    0      
+   sn_tair      =    't10'           ,       24.         , 'T_10_MOD' ,     .false.        ,    1   ,    0     
+   sn_humi      =    'q10'           ,       24.         , 'Q_10_MOD' ,     .false.        ,    1   ,    0    
+   sn_prec      =    'precip'        ,      -12.         , 'RAIN'     ,     .false.        ,    1   ,    0      
+   sn_snow      =    'precip'        ,      -12.         , 'SNOW'     ,     .false.        ,    1   ,    0       
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_cpl
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 994)
@@ -0,0 +1,4 @@
+!-----------------------------------------------------------------------
+&namsbc_cpl           coupled ocean/atmosphere model                    
+!-----------------------------------------------------------------------
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_flx
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 994)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namsbc_flx      surface boundary condition : flux formulation      
+!-----------------------------------------------------------------------
+   cn_dir       = './'     ! directory in which the model is executed
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !      file name     ! frequency (hours) ! variable ! time interpolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name   !     (logical)      !  (0/1) !  record  !
+   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,      .false.       ,    0   ,     0
+   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,      .false.       ,    0   ,     0
+   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,      .false.       ,    0   ,     0
+   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,      .false.       ,    0   ,     0
+   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,      .false.       ,    0   ,     0
+/      
Index: trunk/DOC/TexFiles/Namelist/namsbc_qsr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_qsr	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_qsr	(revision 994)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namqsr                penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_traqsr = .true.      ! penetrative solar radiation (T) or not (F)
+   rabs     =   0.58       ! fraction of qsr associated with xsi1
+   xsi1     =   0.35       ! first depth of extinction
+   xsi2     =   23.0       ! second depth of extinction
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 994)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namsbc_rnf        runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+   cn_dir       = './'     ! directory in which the model is executed
+   nn_runoff  = 2          ! =0 no runoffs, 1 runoffs, 2 runoffs+river mouth ups adv
+   rn_hrnf    = 0.e0       ! runoffs, depth over which enhanced vertical mixing is used
+   rn_avt_rnf = 1.e-3      ! runoffs, value of the additional vertical mixing coef. [m2/s]
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !     (logical)      !  (0/1) !  record  !
+   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',      .true.        ,    1   ,    0     
+   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,      .false.       ,    1   ,    0              
+/
Index: trunk/DOC/TexFiles/Namelist/namsbc_ssr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 994)
+++ trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 994)
@@ -0,0 +1,17 @@
+!-----------------------------------------------------------------------
+&namsbc_ssr     surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+   cn_dir       = './'     ! directory in which the model is executed
+   nn_sstr      = 0        ! =0/1   add a retroaction term in the surface heat flux
+   nn_sssr      = 0        ! =O/1/2 add a damping term in the surface freshwater flux
+                           !        (=1, salt flux, concentration/dillution emps only)
+                           !        (=2, volume flux, both emp and emps are updated) 
+   dqdt         = -40.     ! magnitude of the retroaction on temperature [W/m2/K]
+   deds         =  27.7    ! magnitude of the damping on salinity [mm/day]
+!      
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !     (logical)      !  (0/1) !  record  !
+   sn_sst       =  'sst_data.nc'     ,         24.       ,  'sst'     ,      .false.       ,    0   ,    0
+   sn_sss       =  'sss_data.nc'     ,        -12.       ,  'sss'     ,      .true.        ,    0   ,    0
+/      