Index: /trunk/DOC/NEMO_book.tex
===================================================================
--- /trunk/DOC/NEMO_book.tex	(revision 997)
+++ /trunk/DOC/NEMO_book.tex	(revision 997)
@@ -0,0 +1,303 @@
+%description: Book template
+
+% template of document for LaTeX
+% (C) Xavier Perseguers 2002 - xavier.perseguers@epfl.ch
+
+\documentclass[a4paper,12pt]{book}
+
+%  makeindex NEMO_book     <== to regenerate the index
+%  bibtex         NEMO_book	<== to generate  the bibliography
+
+% ================================================================
+% HEADERS DEFINITION
+% ================================================================
+
+\usepackage[french]{babel}
+\usepackage{fancyhdr}
+
+\usepackage{alltt}  		%%  alltt for namelist
+\usepackage{verbatim}  	%%  alltt for namelist
+
+%hyperref  ===>>>  don't work.....
+%\usepackage[a4paper=true,ps2pdf=true,pagebackref=true,breaklinks=true]{hyperref}
+
+%\usepackage{amssymb}
+\pagestyle{fancy}
+% with this we ensure that the chapter and section
+% headings are in lowercase.
+\renewcommand{\chaptermark}[1]{\markboth{#1}{}}
+\renewcommand{\sectionmark}[1]{\markright{\thesection.\ #1}}
+\fancyhf{}             % delete current setting for header and footer
+\fancyhead[LE,RO]{\bfseries\thepage}
+\fancyhead[LO]{\bfseries\hspace{-0em}\rightmark}
+\fancyhead[RE]{\bfseries\leftmark}
+\renewcommand{\headrulewidth}{0.5pt}
+\renewcommand{\footrulewidth}{0pt}
+\addtolength{\headheight}{2.6pt}   % make space for the rule
+%\addtolength{\headheight}{1.6pt}   % make space for the rule
+\fancypagestyle{plain}{
+  \fancyhead{}         % get rid of headers on plain pages
+  \renewcommand{\headrulewidth}{0pt}  % and the line
+}
+
+% Leave blank pages completely empty, w/o header
+\makeatletter
+\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
+  \hbox{}
+  \vspace*{\fill}
+  \vspace{\fill}
+  \thispagestyle{empty}
+  \newpage
+  \if@twocolumn\hbox{}\newpage\fi\fi\fi}
+\makeatother
+
+\usepackage{makeidx}
+
+\usepackage{minitoc}				%in french : \usepackage[french]{minitoc}
+
+%\usepackage{mtcoff}				% invalidate the use of minitocs
+\usepackage[latin1]{inputenc}
+\usepackage{graphics}				% allows insertion of pictures
+\usepackage{times}					% use vector fonts instead of bitmap
+\usepackage{fancybox}
+\usepackage{color}
+\usepackage{colortbl}
+
+%%%% add by Word2Tex
+%\documentclass{amsart}
+\usepackage{latexsym}
+\usepackage{amssymb}
+\usepackage{amsmath}
+\usepackage{graphicx}
+%%%%
+
+%%%%
+%\usepackage{mathtime}      % font for illustrator to work (belleek fonts )
+%%%%
+
+%\usepackage{showidx}				% show the index entry
+
+
+
+%%%% define the style of title for chapter  %%%
+\usepackage{pstricks}
+\makeatletter
+\def\LigneVerticale{\vrule height 5cm depth 2cm\hspace{0.1cm}\relax}
+\def\LignesVerticales{%
+  \let\LV\LigneVerticale\LV\LV\LV\LV\LV\LV\LV\LV\LV\LV}
+\def\GrosCarreAvecUnChiffre#1{%
+  \rlap{\vrule height 0.8cm width 1cm depth 0.2cm}%
+  \rlap{\hbox to 1cm{\hss\mbox{\white #1}\hss}}%
+  \vrule height 0pt width 1cm depth 0pt}
+\def\GrosCarreAvecTroisChiffre#1{%
+  \rlap{\vrule height 0.8cm width 1.6cm depth 0.2cm}%
+  \rlap{\hbox to 1.5cm{\hss\mbox{\white #1}\hss}}%
+  \vrule height 0pt width 1cm depth 0pt}
+
+\def\@makechapterhead#1{\hbox{%
+    \huge 
+    \LignesVerticales
+    \hspace{-0.5cm}%
+    \GrosCarreAvecUnChiffre{\thechapter}
+    \hspace{0.2cm}\hbox{#1}%
+%    \GrosCarreAvecTroisChiffre{\thechapter}
+%    \hspace{1cm}\hbox{#1}%
+%}\par\vskip 2cm}
+}\par\vskip 1cm}
+\def\@makeschapterhead#1{\hbox{%
+    \huge 
+    \LignesVerticales
+    %\hspace{0.5cm}%
+    \hbox{#1}%
+}\par\vskip 2cm}
+
+%\def\thechapter{\Roman{chapter}}   	% chapter number to be Roman
+
+%%%% end style chapter %%%
+
+%%% eqution shortcut:
+\newcommand{\vect} [1] { \rm{\textbf{#1}} }    % vector style: non-italic bold
+
+%%% essai commande
+\newcommand{\nl} [1] {\texttt{\small {\textcolor{blue}{#1}} } } 
+
+%essai commande  
+\newcommand{\mdl} [1] {\textit{#1.F90}\index{Modules!#1}}			%module (mdl)
+\newcommand{\rou} [1] {\textit{#1}\index{Routines!#1}}			%module (routine)
+\newcommand{\hf} [1] {\textit{#1.h90}\index{h90 file!#1}}			%module (h90 files)
+\newcommand{\np} [1] {\textit{#1}\index{Namelist parameters!#1}}%namelist parameter (nampar)
+\newcommand{\jp} [1] {\textit{#1}\index{Model parameters!#1}}%model parameter (jp)
+\newcommand{\pp} [1] {\textit{#1}\index{Model parameters!#1}}%namelist parameter (pp)
+\newcommand{\key} [1] {\textbf{key\_#1}\index{CPP keys!key\_#1}}	%key_cpp (key)
+\newcommand{\NEMO} {\textit{NEMO }}						%NEMO (nemo)
+\newcommand{\amtcomment}[1]{#1}   	% command to allow "commented out" portions of 
+\newcommand{\gmcomment}[1]{}   	% command to allow "commented out" portions of 
+%                                    				% text that span line breaks
+
+%--------------------------------------------namlist---------------------------------------------------------
+%\newcommand{\namdisplay} [1] {	\vspace{-25pt}
+%	\begin{alltt}  \textcolor{blue}{{\scriptsize \verbatiminput{./Namelist/#1}}}  \end{alltt}
+%									\vspace{-20pt}	}
+\newcommand{\namdisplay} [1] { 
+	\begin{alltt}  {{\tiny \verbatiminput{./Namelist/#1}}}  \end{alltt} 
+                               \vspace{-10pt}	}
+%--------------------------------------------------------------------------------------------------------------
+
+%Red (NR) or Yellow(WARN)
+%\newcommand{\NR} {\colorbox{red}{#1}}
+%\newcommand{\WARN} {{ \colorbox{yellow}{#1}} }
+
+%---------------------%%%%%  Section number in Margin  %%%%%-----------------------------
+% typeset the number of each section in the left margin, with the start of each instance of
+% sectional heading text aligned with the left hand edge of  the body text.
+\makeatletter 
+\def\@seccntformat#1{\protect\makebox[0pt][r]{\csname the#1\endcsname\quad}} 
+\makeatother 
+%--------------------------------------------------------------------------------------------------------------
+
+%----------------------------%%%%%   Bilbiography   %%%%%%-------------------------------%
+\usepackage[nottoc, notlof, notlot]{tocbibind}
+\usepackage[square, comma]{natbib}
+\bibpunct{[}{]}{,}{a}{}{;}                           %suppress "," after "et al."
+\newcommand{\bibfont}{\small}
+%--------------------------------------------------------------------------------------------------------------
+
+% ================================================================
+% FRONT PAGE
+% ================================================================
+
+\title{ 
+\includegraphics[width=0.2\textwidth]{./Figures/logo_CNRS.pdf} 
+\quad
+\includegraphics[width=0.2\textwidth]{./Figures/logo_MERCATOR.pdf} 
+\quad
+\includegraphics[width=0.1\textwidth]{./Figures/logo_UKMO.pdf} 
+\quad
+\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
+\vspace{3.0cm}
+\includegraphics[width=0.3\textwidth]{./Figures/NEMO_logo_Black.pdf} \\
+\vspace{1.0cm}
+\rule{345pt}{1.5pt} \\
+\vspace{0.45cm}
+ {\Huge NEMO ocean engine} 
+\rule{345pt}{1.5pt} \\ 
+%{\small NEMO v2.3} \\
+{\small  -- version 3.0 --}   }
+%{ -- Draft --}   }
+%\date{\today}
+\date{
+May 2008  \\
+\textit{\small Note du P\^ole de mod\'{e}lisation de l'Institut Pierre-Simon Laplace No 27 }\\
+\vspace{0.45cm}
+{ ISSN No 1288-1619.}
+}
+
+
+%%\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
+
+%%    \hbox{\mbox{%
+%%       \hspace{4pt}%
+%%         \fbox{\includegraphics[width=3em]{./Figures/logo_CNRS.pdf}}%
+%%        \hspace{4pt}
+%%        }  }%
+
+\author{ \Large Gurvan Madec \\
+ \texttt{\small gurvan.madec@locean-ipsl.umpc.fr} \\
+{\small Laboratoire d'Oc\'{e}anographie  et du Climat: Exp\'{e}rimentation et Approches Num\'{e}riques}
+}
+
+\dominitoc
+\makeindex  		%type this first :     makeindex -s NEMO.ist NEMO_book.idx
+
+% ================================================================
+% ================================================================
+%      Include ONLY order
+% ================================================================
+
+%\includeonly{./Chapters/Chap_MISC}
+%\includeonly{./Chapters/Annex_E}
+%\includeonly{./Chapters/Chap_LBC,./Chapters/Chap_MISC}
+%\includeonly{./Chapters/Chap_Model_Basics_zstar}
+%\includeonly{./Chapters/Annex_A,./Chapters/Annex_B,./Chapters/Annex_C,./Chapters/Annex_D}
+
+% ================================================================
+% ================================================================
+\begin{document}
+
+\maketitle						% generate the title
+
+\frontmatter
+
+\tableofcontents					% generate a table of content
+%\listoffigures					% generate a table of content
+%\listoftables					% generate a table of content
+
+\mainmatter
+
+% ================================================================
+% Abstract - Foreword
+% ================================================================
+
+\include{./Chapters/Abstracts_Foreword}
+
+% ================================================================
+% INTRODUCTION
+% ================================================================
+
+\include{./Chapters/Introduction}
+
+% ================================================================
+% CHAPTERS
+% ================================================================
+
+\include{./Chapters/Chap_Model_Basics}
+
+%\include{./Chapters/Chap_Model_Basics_zstar}	% attent to describe z*-s*
+
+\include{./Chapters/Chap_DOM}
+
+\include{./Chapters/Chap_TRA}
+
+\include{./Chapters/Chap_DYN}
+
+\include{./Chapters/Chap_SBC}
+
+\include{./Chapters/Chap_LBC}
+
+\include{./Chapters/Chap_LDF}
+
+\include{./Chapters/Chap_ZDF}
+
+\include{./Chapters/Chap_MISC}
+
+% ================================================================
+% APPENDIX
+% ================================================================
+
+\appendix
+
+%\include{./Chapters/Chap_Conservation}
+\include{./Chapters/Annex_A}
+\include{./Chapters/Annex_B}
+\include{./Chapters/Annex_C}
+%\include{./Chapters/Annex_D}
+%\include{./Chapters/Annex_E}
+
+%%%%\include{./Chapters/0_page_de_garde_old}
+% ================================================================
+% INDEX
+% ================================================================
+
+\addcontentsline{toc}{chapter}{Index}
+\printindex
+
+% ================================================================
+% BIBLIOGRAPHY
+% ================================================================
+
+%%\bibliographystyle{plainnat}
+\bibliographystyle{./ametsoc}			% AMS biblio style (JPO)
+\bibliography{./Biblio/Biblio}
+
+% ================================================================
+\end{document}
Index: unk/DOC/TexFiles/NEMO_book.tex
===================================================================
--- /trunk/DOC/TexFiles/NEMO_book.tex	(revision 996)
+++ 	(revision )
@@ -1,303 +1,0 @@
-%description: Book template
-
-% template of document for LaTeX
-% (C) Xavier Perseguers 2002 - xavier.perseguers@epfl.ch
-
-\documentclass[a4paper,12pt]{book}
-
-%  makeindex NEMO_book     <== to regenerate the index
-%  bibtex         NEMO_book	<== to generate  the bibliography
-
-% ================================================================
-% HEADERS DEFINITION
-% ================================================================
-
-\usepackage[french]{babel}
-\usepackage{fancyhdr}
-
-\usepackage{alltt}  		%%  alltt for namelist
-\usepackage{verbatim}  	%%  alltt for namelist
-
-%hyperref  ===>>>  don't work.....
-%\usepackage[a4paper=true,ps2pdf=true,pagebackref=true,breaklinks=true]{hyperref}
-
-%\usepackage{amssymb}
-\pagestyle{fancy}
-% with this we ensure that the chapter and section
-% headings are in lowercase.
-\renewcommand{\chaptermark}[1]{\markboth{#1}{}}
-\renewcommand{\sectionmark}[1]{\markright{\thesection.\ #1}}
-\fancyhf{}             % delete current setting for header and footer
-\fancyhead[LE,RO]{\bfseries\thepage}
-\fancyhead[LO]{\bfseries\hspace{-0em}\rightmark}
-\fancyhead[RE]{\bfseries\leftmark}
-\renewcommand{\headrulewidth}{0.5pt}
-\renewcommand{\footrulewidth}{0pt}
-\addtolength{\headheight}{2.6pt}   % make space for the rule
-%\addtolength{\headheight}{1.6pt}   % make space for the rule
-\fancypagestyle{plain}{
-  \fancyhead{}         % get rid of headers on plain pages
-  \renewcommand{\headrulewidth}{0pt}  % and the line
-}
-
-% Leave blank pages completely empty, w/o header
-\makeatletter
-\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
-  \hbox{}
-  \vspace*{\fill}
-  \vspace{\fill}
-  \thispagestyle{empty}
-  \newpage
-  \if@twocolumn\hbox{}\newpage\fi\fi\fi}
-\makeatother
-
-\usepackage{makeidx}
-
-\usepackage{minitoc}				%in french : \usepackage[french]{minitoc}
-
-%\usepackage{mtcoff}				% invalidate the use of minitocs
-\usepackage[latin1]{inputenc}
-\usepackage{graphics}				% allows insertion of pictures
-\usepackage{times}					% use vector fonts instead of bitmap
-\usepackage{fancybox}
-\usepackage{color}
-\usepackage{colortbl}
-
-%%%% add by Word2Tex
-%\documentclass{amsart}
-\usepackage{latexsym}
-\usepackage{amssymb}
-\usepackage{amsmath}
-\usepackage{graphicx}
-%%%%
-
-%%%%
-%\usepackage{mathtime}      % font for illustrator to work (belleek fonts )
-%%%%
-
-%\usepackage{showidx}				% show the index entry
-
-
-
-%%%% define the style of title for chapter  %%%
-\usepackage{pstricks}
-\makeatletter
-\def\LigneVerticale{\vrule height 5cm depth 2cm\hspace{0.1cm}\relax}
-\def\LignesVerticales{%
-  \let\LV\LigneVerticale\LV\LV\LV\LV\LV\LV\LV\LV\LV\LV}
-\def\GrosCarreAvecUnChiffre#1{%
-  \rlap{\vrule height 0.8cm width 1cm depth 0.2cm}%
-  \rlap{\hbox to 1cm{\hss\mbox{\white #1}\hss}}%
-  \vrule height 0pt width 1cm depth 0pt}
-\def\GrosCarreAvecTroisChiffre#1{%
-  \rlap{\vrule height 0.8cm width 1.6cm depth 0.2cm}%
-  \rlap{\hbox to 1.5cm{\hss\mbox{\white #1}\hss}}%
-  \vrule height 0pt width 1cm depth 0pt}
-
-\def\@makechapterhead#1{\hbox{%
-    \huge 
-    \LignesVerticales
-    \hspace{-0.5cm}%
-    \GrosCarreAvecUnChiffre{\thechapter}
-    \hspace{0.2cm}\hbox{#1}%
-%    \GrosCarreAvecTroisChiffre{\thechapter}
-%    \hspace{1cm}\hbox{#1}%
-%}\par\vskip 2cm}
-}\par\vskip 1cm}
-\def\@makeschapterhead#1{\hbox{%
-    \huge 
-    \LignesVerticales
-    %\hspace{0.5cm}%
-    \hbox{#1}%
-}\par\vskip 2cm}
-
-%\def\thechapter{\Roman{chapter}}   	% chapter number to be Roman
-
-%%%% end style chapter %%%
-
-%%% eqution shortcut:
-\newcommand{\vect} [1] { \rm{\textbf{#1}} }    % vector style: non-italic bold
-
-%%% essai commande
-\newcommand{\nl} [1] {\texttt{\small {\textcolor{blue}{#1}} } } 
-
-%essai commande  
-\newcommand{\mdl} [1] {\textit{#1.F90}\index{Modules!#1}}			%module (mdl)
-\newcommand{\rou} [1] {\textit{#1}\index{Routines!#1}}			%module (routine)
-\newcommand{\hf} [1] {\textit{#1.h90}\index{h90 file!#1}}			%module (h90 files)
-\newcommand{\np} [1] {\textit{#1}\index{Namelist parameters!#1}}%namelist parameter (nampar)
-\newcommand{\jp} [1] {\textit{#1}\index{Model parameters!#1}}%model parameter (jp)
-\newcommand{\pp} [1] {\textit{#1}\index{Model parameters!#1}}%namelist parameter (pp)
-\newcommand{\key} [1] {\textbf{key\_#1}\index{CPP keys!key\_#1}}	%key_cpp (key)
-\newcommand{\NEMO} {\textit{NEMO }}						%NEMO (nemo)
-\newcommand{\amtcomment}[1]{#1}   	% command to allow "commented out" portions of 
-\newcommand{\gmcomment}[1]{}   	% command to allow "commented out" portions of 
-%                                    				% text that span line breaks
-
-%--------------------------------------------namlist---------------------------------------------------------
-%\newcommand{\namdisplay} [1] {	\vspace{-25pt}
-%	\begin{alltt}  \textcolor{blue}{{\scriptsize \verbatiminput{./Namelist/#1}}}  \end{alltt}
-%									\vspace{-20pt}	}
-\newcommand{\namdisplay} [1] { 
-	\begin{alltt}  {{\tiny \verbatiminput{./Namelist/#1}}}  \end{alltt} 
-                               \vspace{-10pt}	}
-%--------------------------------------------------------------------------------------------------------------
-
-%Red (NR) or Yellow(WARN)
-%\newcommand{\NR} {\colorbox{red}{#1}}
-%\newcommand{\WARN} {{ \colorbox{yellow}{#1}} }
-
-%---------------------%%%%%  Section number in Margin  %%%%%-----------------------------
-% typeset the number of each section in the left margin, with the start of each instance of
-% sectional heading text aligned with the left hand edge of  the body text.
-\makeatletter 
-\def\@seccntformat#1{\protect\makebox[0pt][r]{\csname the#1\endcsname\quad}} 
-\makeatother 
-%--------------------------------------------------------------------------------------------------------------
-
-%----------------------------%%%%%   Bilbiography   %%%%%%-------------------------------%
-\usepackage[nottoc, notlof, notlot]{tocbibind}
-\usepackage[square, comma]{natbib}
-\bibpunct{[}{]}{,}{a}{}{;}                           %suppress "," after "et al."
-\newcommand{\bibfont}{\small}
-%--------------------------------------------------------------------------------------------------------------
-
-% ================================================================
-% FRONT PAGE
-% ================================================================
-
-\title{ 
-\includegraphics[width=0.2\textwidth]{./Figures/logo_CNRS.pdf} 
-\quad
-\includegraphics[width=0.2\textwidth]{./Figures/logo_MERCATOR.pdf} 
-\quad
-\includegraphics[width=0.1\textwidth]{./Figures/logo_UKMO.pdf} 
-\quad
-\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
-\vspace{3.0cm}
-\includegraphics[width=0.3\textwidth]{./Figures/NEMO_logo_Black.pdf} \\
-\vspace{1.0cm}
-\rule{345pt}{1.5pt} \\
-\vspace{0.45cm}
- {\Huge NEMO ocean engine} 
-\rule{345pt}{1.5pt} \\ 
-%{\small NEMO v2.3} \\
-{\small  -- version 3.0 --}   }
-%{ -- Draft --}   }
-%\date{\today}
-\date{
-May 2008  \\
-\textit{\small Note du P\^ole de mod\'{e}lisation de l'Institut Pierre-Simon Laplace No 27 }\\
-\vspace{0.45cm}
-{ ISSN No 1288-1619.}
-}
-
-
-%%\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
-
-%%    \hbox{\mbox{%
-%%       \hspace{4pt}%
-%%         \fbox{\includegraphics[width=3em]{./Figures/logo_CNRS.pdf}}%
-%%        \hspace{4pt}
-%%        }  }%
-
-\author{ \Large Gurvan Madec \\
- \texttt{\small gurvan.madec@locean-ipsl.umpc.fr} \\
-{\small Laboratoire d'Oc\'{e}anographie  et du Climat: Exp\'{e}rimentation et Approches Num\'{e}riques}
-}
-
-\dominitoc
-\makeindex  		%type this first :     makeindex -s NEMO.ist NEMO_book.idx
-
-% ================================================================
-% ================================================================
-%      Include ONLY order
-% ================================================================
-
-%\includeonly{./Chapters/Chap_MISC}
-%\includeonly{./Chapters/Annex_E}
-%\includeonly{./Chapters/Chap_LBC,./Chapters/Chap_MISC}
-%\includeonly{./Chapters/Chap_Model_Basics_zstar}
-%\includeonly{./Chapters/Annex_A,./Chapters/Annex_B,./Chapters/Annex_C,./Chapters/Annex_D}
-
-% ================================================================
-% ================================================================
-\begin{document}
-
-\maketitle						% generate the title
-
-\frontmatter
-
-\tableofcontents					% generate a table of content
-%\listoffigures					% generate a table of content
-%\listoftables					% generate a table of content
-
-\mainmatter
-
-% ================================================================
-% Abstract - Foreword
-% ================================================================
-
-\include{./Chapters/Abstracts_Foreword}
-
-% ================================================================
-% INTRODUCTION
-% ================================================================
-
-\include{./Chapters/Introduction}
-
-% ================================================================
-% CHAPTERS
-% ================================================================
-
-\include{./Chapters/Chap_Model_Basics}
-
-%\include{./Chapters/Chap_Model_Basics_zstar}	% attent to describe z*-s*
-
-\include{./Chapters/Chap_DOM}
-
-\include{./Chapters/Chap_TRA}
-
-\include{./Chapters/Chap_DYN}
-
-\include{./Chapters/Chap_SBC}
-
-\include{./Chapters/Chap_LBC}
-
-\include{./Chapters/Chap_LDF}
-
-\include{./Chapters/Chap_ZDF}
-
-\include{./Chapters/Chap_MISC}
-
-% ================================================================
-% APPENDIX
-% ================================================================
-
-\appendix
-
-%\include{./Chapters/Chap_Conservation}
-\include{./Chapters/Annex_A}
-\include{./Chapters/Annex_B}
-\include{./Chapters/Annex_C}
-%\include{./Chapters/Annex_D}
-%\include{./Chapters/Annex_E}
-
-%%%%\include{./Chapters/0_page_de_garde_old}
-% ================================================================
-% INDEX
-% ================================================================
-
-\addcontentsline{toc}{chapter}{Index}
-\printindex
-
-% ================================================================
-% BIBLIOGRAPHY
-% ================================================================
-
-%%\bibliographystyle{plainnat}
-\bibliographystyle{./ametsoc}			% AMS biblio style (JPO)
-\bibliography{./Biblio/Biblio}
-
-% ================================================================
-\end{document}